## org.eclipse.amp.amf.parameters
Class AParFactory

    java.lang.Object
      org.eclipse.amp.amf.parameters.AParFactory

All Implemented Interfaces:
  IInterpreterFactory

    public class AParFactory

extends java.lang.Object
implements IInterpreterFactory

Author:
  mparker

Constructor Summary
`AParFactory()`

Method Summary
`static IInterpreterProvider` `create(org.eclipse.emf.ecore.resource.ResourceSet resources)`
`java.lang.Object` `createInterpreter(org.eclipse.emf.ecore.resource.Resource resource)`
`static IInterpreterProvider` `createPooled(org.eclipse.emf.ecore.resource.ResourceSet resources)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParFactory

    public AParFactory()

Method Detail

### createInterpreter

    public java.lang.Object createInterpreter(org.eclipse.emf.ecore.resource.Resource resource)

  Specified by:
    `createInterpreter` in interface `IInterpreterFactory`
  Parameters:
    `resource` -
  Returns:
  See Also:
    `org.eclipse.amp.amf.abase.xtext.IInterpreterProvider#getInterpreter(org.eclipse.emf.ecore.resource.Resource)`

### createPooled

    public static IInterpreterProvider createPooled(org.eclipse.emf.ecore.resource.ResourceSet resources)

### create

    public static IInterpreterProvider create(org.eclipse.emf.ecore.resource.ResourceSet resources)